Skip to main content
GET
/
v1
/
polymarket
/
events
List events
curl --request GET \
  --url https://api.radion.app/v1/polymarket/events \
  --header 'X-API-Key: <api-key>'
{
  "events": [
    {
      "id": "<string>",
      "marketCount": 123,
      "markets": [
        {
          "conditionId": "<string>",
          "outcomes": [
            {
              "label": "<string>",
              "price": 123,
              "tokenId": "<string>"
            }
          ],
          "status": "<string>",
          "acceptingOrders": true,
          "bestAsk": 123,
          "bestBid": 123,
          "enableOrderbook": true,
          "endDate": 123,
          "groupItemTitle": "<string>",
          "icon": "<string>",
          "image": "<string>",
          "lastTradePrice": 123,
          "liquidity": 123,
          "oneDayPriceChange": 123,
          "question": "<string>",
          "resolution": {
            "conditionId": "<string>",
            "payoutNumerators": [
              123
            ],
            "resolutionSource": 123,
            "resolvedTs": "<string>"
          },
          "slug": "<string>",
          "spread": 123,
          "startDate": 123,
          "volume": 123,
          "volume1mo": 123,
          "volume1wk": 123,
          "volume1yr": 123,
          "volume24hr": 123
        }
      ],
      "themes": [
        {
          "label": "<string>",
          "slug": "<string>"
        }
      ],
      "venue": "<string>",
      "active": true,
      "archived": true,
      "closed": true,
      "closedTime": 123,
      "commentCount": 123,
      "competitive": 123,
      "creationDate": 123,
      "description": "<string>",
      "enableOrderbook": true,
      "endDate": 123,
      "featured": true,
      "featuredImage": "<string>",
      "icon": "<string>",
      "image": "<string>",
      "liquidity": 123,
      "negRisk": true,
      "new": true,
      "openInterest": 123,
      "resolutionSource": "<string>",
      "restricted": true,
      "seriesSlug": "<string>",
      "slug": "<string>",
      "startDate": 123,
      "subcategory": "<string>",
      "subtitle": "<string>",
      "ticker": "<string>",
      "title": "<string>",
      "volume": 123,
      "volume1mo": 123,
      "volume1wk": 123,
      "volume1yr": 123,
      "volume24hr": 123
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

events
object[]
required
nextCursor
string | null
Last modified on July 7, 2026